*** wltest.sas;
* Author:  John M. Lachin <jml@biostat.bsc.gwu.edu>                  *;
*          Copyright (c) 2006 by John M. Lachin                      *;
* Web URL: http://www.bsc.gwu.edu/                                   *;
*--------------------------------------------------------------------*;
/*
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
*/

options formdlim='-';

libname ncgs 'c:\sasjobs\wei-lachin';

%include 'c:\sasjobs\wei-lachin\weilach.sas';

DATA ALL; SET NCGS.ALLCHOL;
IF TRETGRP = 3 OR TRETGRP = 5;

data wl; set all;

KEEP NCGS TRETGRP y1-y4 i1-i4;
Y1 =CH4 - pchol;
Y2 =CH6 - pchol;
Y3 =CH8 - pchol;
Y4 =CH9 - pchol;

i1 = 0; i2 = 0; i3 = 0; i4 = 0;
if y1 ne . then i1 = 1;
if y2 ne . then i2 = 1;
if y3 ne . then i3 = 1;
if y4 ne . then i4 = 1;

if y1 eq . then y1 = -9999;
if y2 eq . then y2 = -9999;
if y3 eq . then y3 = -9999;
if y4 eq . then y4 = -9999;

%let nr = 4; 

%WEILACH(1, 1, wl, tretgrp, 3, 5, y, i);

****  %WEILACH(METHOD, OPTION, DSET, GRPVAR, GRP1C, GRP2C,
                PREF_D, PREF_C);

run;

proc print data=wlstats;
proc print data=wlsigma;
proc print data=tlstats;
proc print data=thetsig;

RUN;
